org.h2.test.db

## Class TestTableEngines.EndlessTableEngine

- java.lang.Object
- - org.h2.test.db.TestTableEngines.EndlessTableEngine

All Implemented Interfaces:
  TableEngine

Enclosing class:
  TestTableEngines

    public static class TestTableEngines.EndlessTableEngine
    extends java.lang.Object
    implements TableEngine

A test table factory.

### Field Summary

Fields
`static CreateTableData` `createTableData`

### Constructor Summary

Constructors
Constructor and Description
`TestTableEngines.EndlessTableEngine()`

### Method Summary

Methods
`org.h2.test.db.TestTableEngines.EndlessTableEngine.EndlessTable` `createTable(CreateTableData data)` Create a new table.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### createTableData

    public static CreateTableData createTableData

### Constructor Detail

#### TestTableEngines.EndlessTableEngine

    public TestTableEngines.EndlessTableEngine()

### Method Detail

#### createTable

    public org.h2.test.db.TestTableEngines.EndlessTableEngine.EndlessTable createTable(CreateTableData data)

Create a new table.

Specified by:
  `createTable` in interface `TableEngine`
Parameters:
  `data` - the meta data of the table to create
Returns:
  the new table